# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 4.1

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/philipp/programing/QCodeEditor

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/philipp/programing/QCodeEditor/build

# Include any dependencies generated for this target.
include example/CMakeFiles/QCodeEditorExample.dir/depend.make
# Include any dependencies generated by the compiler for this target.
include example/CMakeFiles/QCodeEditorExample.dir/compiler_depend.make

# Include the progress variables for this target.
include example/CMakeFiles/QCodeEditorExample.dir/progress.make

# Include the compile flags for this target's objects.
include example/CMakeFiles/QCodeEditorExample.dir/flags.make

example/QCodeEditorExample_autogen/timestamp: /usr/lib/qt6/moc
example/QCodeEditorExample_autogen/timestamp: example/CMakeFiles/QCodeEditorExample.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --blue --bold --progress-dir=/home/philipp/programing/QCodeEditor/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Automatic MOC for target QCodeEditorExample"
	cd /home/philipp/programing/QCodeEditor/build/example && /usr/bin/cmake -E cmake_autogen /home/philipp/programing/QCodeEditor/build/example/CMakeFiles/QCodeEditorExample_autogen.dir/AutogenInfo.json ""
	cd /home/philipp/programing/QCodeEditor/build/example && /usr/bin/cmake -E touch /home/philipp/programing/QCodeEditor/build/example/QCodeEditorExample_autogen/timestamp

example/QCodeEditorExample_autogen/3YJK5W5UP7/qrc_demo_resources.cpp: /home/philipp/programing/QCodeEditor/example/resources/demo_resources.qrc
example/QCodeEditorExample_autogen/3YJK5W5UP7/qrc_demo_resources.cpp: example/CMakeFiles/QCodeEditorExample_autogen.dir/AutoRcc_demo_resources_3YJK5W5UP7_Info.json
example/QCodeEditorExample_autogen/3YJK5W5UP7/qrc_demo_resources.cpp: /home/philipp/programing/QCodeEditor/example/resources/code_samples/python.py
example/QCodeEditorExample_autogen/3YJK5W5UP7/qrc_demo_resources.cpp: /home/philipp/programing/QCodeEditor/example/resources/code_samples/cxx.cpp
example/QCodeEditorExample_autogen/3YJK5W5UP7/qrc_demo_resources.cpp: /home/philipp/programing/QCodeEditor/example/resources/code_samples/xml.xml
example/QCodeEditorExample_autogen/3YJK5W5UP7/qrc_demo_resources.cpp: /home/philipp/programing/QCodeEditor/example/resources/code_samples/json.json
example/QCodeEditorExample_autogen/3YJK5W5UP7/qrc_demo_resources.cpp: /home/philipp/programing/QCodeEditor/example/resources/code_samples/lua.lua
example/QCodeEditorExample_autogen/3YJK5W5UP7/qrc_demo_resources.cpp: /home/philipp/programing/QCodeEditor/example/resources/code_samples/shader.glsl
example/QCodeEditorExample_autogen/3YJK5W5UP7/qrc_demo_resources.cpp: /home/philipp/programing/QCodeEditor/example/resources/styles/drakula.xml
example/QCodeEditorExample_autogen/3YJK5W5UP7/qrc_demo_resources.cpp: /usr/lib/qt6/rcc
example/QCodeEditorExample_autogen/3YJK5W5UP7/qrc_demo_resources.cpp: /usr/lib/qt6/rcc
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --blue --bold --progress-dir=/home/philipp/programing/QCodeEditor/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_2) "Automatic RCC for resources/demo_resources.qrc"
	cd /home/philipp/programing/QCodeEditor/build/example && /usr/bin/cmake -E cmake_autorcc /home/philipp/programing/QCodeEditor/build/example/CMakeFiles/QCodeEditorExample_autogen.dir/AutoRcc_demo_resources_3YJK5W5UP7_Info.json 

example/CMakeFiles/QCodeEditorExample.dir/codegen:
.PHONY : example/CMakeFiles/QCodeEditorExample.dir/codegen

example/CMakeFiles/QCodeEditorExample.dir/QCodeEditorExample_autogen/mocs_compilation.cpp.o: example/CMakeFiles/QCodeEditorExample.dir/flags.make
example/CMakeFiles/QCodeEditorExample.dir/QCodeEditorExample_autogen/mocs_compilation.cpp.o: example/QCodeEditorExample_autogen/mocs_compilation.cpp
example/CMakeFiles/QCodeEditorExample.dir/QCodeEditorExample_autogen/mocs_compilation.cpp.o: example/CMakeFiles/QCodeEditorExample.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/philipp/programing/QCodeEditor/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_3) "Building CXX object example/CMakeFiles/QCodeEditorExample.dir/QCodeEditorExample_autogen/mocs_compilation.cpp.o"
	cd /home/philipp/programing/QCodeEditor/build/example && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT example/CMakeFiles/QCodeEditorExample.dir/QCodeEditorExample_autogen/mocs_compilation.cpp.o -MF CMakeFiles/QCodeEditorExample.dir/QCodeEditorExample_autogen/mocs_compilation.cpp.o.d -o CMakeFiles/QCodeEditorExample.dir/QCodeEditorExample_autogen/mocs_compilation.cpp.o -c /home/philipp/programing/QCodeEditor/build/example/QCodeEditorExample_autogen/mocs_compilation.cpp

example/CMakeFiles/QCodeEditorExample.dir/QCodeEditorExample_autogen/mocs_compilation.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/QCodeEditorExample.dir/QCodeEditorExample_autogen/mocs_compilation.cpp.i"
	cd /home/philipp/programing/QCodeEditor/build/example && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/philipp/programing/QCodeEditor/build/example/QCodeEditorExample_autogen/mocs_compilation.cpp > CMakeFiles/QCodeEditorExample.dir/QCodeEditorExample_autogen/mocs_compilation.cpp.i

example/CMakeFiles/QCodeEditorExample.dir/QCodeEditorExample_autogen/mocs_compilation.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/QCodeEditorExample.dir/QCodeEditorExample_autogen/mocs_compilation.cpp.s"
	cd /home/philipp/programing/QCodeEditor/build/example && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/philipp/programing/QCodeEditor/build/example/QCodeEditorExample_autogen/mocs_compilation.cpp -o CMakeFiles/QCodeEditorExample.dir/QCodeEditorExample_autogen/mocs_compilation.cpp.s

example/CMakeFiles/QCodeEditorExample.dir/src/main.cpp.o: example/CMakeFiles/QCodeEditorExample.dir/flags.make
example/CMakeFiles/QCodeEditorExample.dir/src/main.cpp.o: /home/philipp/programing/QCodeEditor/example/src/main.cpp
example/CMakeFiles/QCodeEditorExample.dir/src/main.cpp.o: example/CMakeFiles/QCodeEditorExample.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/philipp/programing/QCodeEditor/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_4) "Building CXX object example/CMakeFiles/QCodeEditorExample.dir/src/main.cpp.o"
	cd /home/philipp/programing/QCodeEditor/build/example && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT example/CMakeFiles/QCodeEditorExample.dir/src/main.cpp.o -MF CMakeFiles/QCodeEditorExample.dir/src/main.cpp.o.d -o CMakeFiles/QCodeEditorExample.dir/src/main.cpp.o -c /home/philipp/programing/QCodeEditor/example/src/main.cpp

example/CMakeFiles/QCodeEditorExample.dir/src/main.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/QCodeEditorExample.dir/src/main.cpp.i"
	cd /home/philipp/programing/QCodeEditor/build/example && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/philipp/programing/QCodeEditor/example/src/main.cpp > CMakeFiles/QCodeEditorExample.dir/src/main.cpp.i

example/CMakeFiles/QCodeEditorExample.dir/src/main.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/QCodeEditorExample.dir/src/main.cpp.s"
	cd /home/philipp/programing/QCodeEditor/build/example && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/philipp/programing/QCodeEditor/example/src/main.cpp -o CMakeFiles/QCodeEditorExample.dir/src/main.cpp.s

example/CMakeFiles/QCodeEditorExample.dir/src/MainWindow.cpp.o: example/CMakeFiles/QCodeEditorExample.dir/flags.make
example/CMakeFiles/QCodeEditorExample.dir/src/MainWindow.cpp.o: /home/philipp/programing/QCodeEditor/example/src/MainWindow.cpp
example/CMakeFiles/QCodeEditorExample.dir/src/MainWindow.cpp.o: example/CMakeFiles/QCodeEditorExample.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/philipp/programing/QCodeEditor/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_5) "Building CXX object example/CMakeFiles/QCodeEditorExample.dir/src/MainWindow.cpp.o"
	cd /home/philipp/programing/QCodeEditor/build/example && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT example/CMakeFiles/QCodeEditorExample.dir/src/MainWindow.cpp.o -MF CMakeFiles/QCodeEditorExample.dir/src/MainWindow.cpp.o.d -o CMakeFiles/QCodeEditorExample.dir/src/MainWindow.cpp.o -c /home/philipp/programing/QCodeEditor/example/src/MainWindow.cpp

example/CMakeFiles/QCodeEditorExample.dir/src/MainWindow.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/QCodeEditorExample.dir/src/MainWindow.cpp.i"
	cd /home/philipp/programing/QCodeEditor/build/example && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/philipp/programing/QCodeEditor/example/src/MainWindow.cpp > CMakeFiles/QCodeEditorExample.dir/src/MainWindow.cpp.i

example/CMakeFiles/QCodeEditorExample.dir/src/MainWindow.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/QCodeEditorExample.dir/src/MainWindow.cpp.s"
	cd /home/philipp/programing/QCodeEditor/build/example && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/philipp/programing/QCodeEditor/example/src/MainWindow.cpp -o CMakeFiles/QCodeEditorExample.dir/src/MainWindow.cpp.s

example/CMakeFiles/QCodeEditorExample.dir/QCodeEditorExample_autogen/3YJK5W5UP7/qrc_demo_resources.cpp.o: example/CMakeFiles/QCodeEditorExample.dir/flags.make
example/CMakeFiles/QCodeEditorExample.dir/QCodeEditorExample_autogen/3YJK5W5UP7/qrc_demo_resources.cpp.o: example/QCodeEditorExample_autogen/3YJK5W5UP7/qrc_demo_resources.cpp
example/CMakeFiles/QCodeEditorExample.dir/QCodeEditorExample_autogen/3YJK5W5UP7/qrc_demo_resources.cpp.o: example/CMakeFiles/QCodeEditorExample.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/philipp/programing/QCodeEditor/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_6) "Building CXX object example/CMakeFiles/QCodeEditorExample.dir/QCodeEditorExample_autogen/3YJK5W5UP7/qrc_demo_resources.cpp.o"
	cd /home/philipp/programing/QCodeEditor/build/example && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT example/CMakeFiles/QCodeEditorExample.dir/QCodeEditorExample_autogen/3YJK5W5UP7/qrc_demo_resources.cpp.o -MF CMakeFiles/QCodeEditorExample.dir/QCodeEditorExample_autogen/3YJK5W5UP7/qrc_demo_resources.cpp.o.d -o CMakeFiles/QCodeEditorExample.dir/QCodeEditorExample_autogen/3YJK5W5UP7/qrc_demo_resources.cpp.o -c /home/philipp/programing/QCodeEditor/build/example/QCodeEditorExample_autogen/3YJK5W5UP7/qrc_demo_resources.cpp

example/CMakeFiles/QCodeEditorExample.dir/QCodeEditorExample_autogen/3YJK5W5UP7/qrc_demo_resources.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/QCodeEditorExample.dir/QCodeEditorExample_autogen/3YJK5W5UP7/qrc_demo_resources.cpp.i"
	cd /home/philipp/programing/QCodeEditor/build/example && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/philipp/programing/QCodeEditor/build/example/QCodeEditorExample_autogen/3YJK5W5UP7/qrc_demo_resources.cpp > CMakeFiles/QCodeEditorExample.dir/QCodeEditorExample_autogen/3YJK5W5UP7/qrc_demo_resources.cpp.i

example/CMakeFiles/QCodeEditorExample.dir/QCodeEditorExample_autogen/3YJK5W5UP7/qrc_demo_resources.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/QCodeEditorExample.dir/QCodeEditorExample_autogen/3YJK5W5UP7/qrc_demo_resources.cpp.s"
	cd /home/philipp/programing/QCodeEditor/build/example && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/philipp/programing/QCodeEditor/build/example/QCodeEditorExample_autogen/3YJK5W5UP7/qrc_demo_resources.cpp -o CMakeFiles/QCodeEditorExample.dir/QCodeEditorExample_autogen/3YJK5W5UP7/qrc_demo_resources.cpp.s

# Object files for target QCodeEditorExample
QCodeEditorExample_OBJECTS = \
"CMakeFiles/QCodeEditorExample.dir/QCodeEditorExample_autogen/mocs_compilation.cpp.o" \
"CMakeFiles/QCodeEditorExample.dir/src/main.cpp.o" \
"CMakeFiles/QCodeEditorExample.dir/src/MainWindow.cpp.o" \
"CMakeFiles/QCodeEditorExample.dir/QCodeEditorExample_autogen/3YJK5W5UP7/qrc_demo_resources.cpp.o"

# External object files for target QCodeEditorExample
QCodeEditorExample_EXTERNAL_OBJECTS =

example/QCodeEditorExample: example/CMakeFiles/QCodeEditorExample.dir/QCodeEditorExample_autogen/mocs_compilation.cpp.o
example/QCodeEditorExample: example/CMakeFiles/QCodeEditorExample.dir/src/main.cpp.o
example/QCodeEditorExample: example/CMakeFiles/QCodeEditorExample.dir/src/MainWindow.cpp.o
example/QCodeEditorExample: example/CMakeFiles/QCodeEditorExample.dir/QCodeEditorExample_autogen/3YJK5W5UP7/qrc_demo_resources.cpp.o
example/QCodeEditorExample: example/CMakeFiles/QCodeEditorExample.dir/build.make
example/QCodeEditorExample: example/CMakeFiles/QCodeEditorExample.dir/compiler_depend.ts
example/QCodeEditorExample: /usr/lib/libQt6Widgets.so.6.9.2
example/QCodeEditorExample: /usr/lib/libQt6Gui.so.6.9.2
example/QCodeEditorExample: libQCodeEditor.a
example/QCodeEditorExample: /usr/lib/libGLX.so
example/QCodeEditorExample: /usr/lib/libOpenGL.so
example/QCodeEditorExample: /usr/lib/libQt6Core.so.6.9.2
example/QCodeEditorExample: /usr/lib/libQt6Widgets.so.6.9.2
example/QCodeEditorExample: /usr/lib/libQt6Gui.so.6.9.2
example/QCodeEditorExample: /usr/lib/libGLX.so
example/QCodeEditorExample: /usr/lib/libOpenGL.so
example/QCodeEditorExample: /usr/lib/libQt6Core.so.6.9.2
example/QCodeEditorExample: example/CMakeFiles/QCodeEditorExample.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --bold --progress-dir=/home/philipp/programing/QCodeEditor/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_7) "Linking CXX executable QCodeEditorExample"
	cd /home/philipp/programing/QCodeEditor/build/example && $(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/QCodeEditorExample.dir/link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
example/CMakeFiles/QCodeEditorExample.dir/build: example/QCodeEditorExample
.PHONY : example/CMakeFiles/QCodeEditorExample.dir/build

example/CMakeFiles/QCodeEditorExample.dir/clean:
	cd /home/philipp/programing/QCodeEditor/build/example && $(CMAKE_COMMAND) -P CMakeFiles/QCodeEditorExample.dir/cmake_clean.cmake
.PHONY : example/CMakeFiles/QCodeEditorExample.dir/clean

example/CMakeFiles/QCodeEditorExample.dir/depend: example/QCodeEditorExample_autogen/3YJK5W5UP7/qrc_demo_resources.cpp
example/CMakeFiles/QCodeEditorExample.dir/depend: example/QCodeEditorExample_autogen/timestamp
	cd /home/philipp/programing/QCodeEditor/build && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /home/philipp/programing/QCodeEditor /home/philipp/programing/QCodeEditor/example /home/philipp/programing/QCodeEditor/build /home/philipp/programing/QCodeEditor/build/example /home/philipp/programing/QCodeEditor/build/example/CMakeFiles/QCodeEditorExample.dir/DependInfo.cmake "--color=$(COLOR)"
.PHONY : example/CMakeFiles/QCodeEditorExample.dir/depend

